#container {
    margin: 50px auto;
    width: 500px;
    border: 4px solid red;
    padding: 15px;
}

#box1 {
    background-color: #7777aa;
    height: 100px;
    width: 100px;
    margin: 15px;
    /*float: left; !* Causes box1 to break free from the normal page flow*/
    /*and move to the left ot the edge of its parent container. *!*/
    float: left;
    clear: left;
}

#box2 {
    background-color: #1969b2;
    height: 150px;
    width: 150px;
    margin: 15px;
    float: right;
}

/* POSITIONING */
#container2 {
    margin: 50px auto;
    width: 500px;
    border: 4px solid red;
    padding: 15px;
    position: relative;
}

#box3 {
    background-color: orange;
    height: 100px;
    width: 100px;
    position: absolute;
    top: 20px;
    right: 20px;
}

.p-box {
    width: 800px;
    height: 500px;
    border: 2px solid blue;
    margin-top: 30px;
    position: relative;
}

h2 {
    top: 100px;
    left: 200px;
    position: absolute;
}

.p-box h3 {
    bottom: 40px;
    right: 100px;
    position: absolute;
}